Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.jms
Class JMSClusteringService

`java.lang.Object
java.lang.Thread
oracle.toplink.remote.AbstractClusteringService
oracle.toplink.remote.AbstractJNDIClusteringService
oracle.toplink.remote.jms.JMSClusteringService`

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  JMSPublishingOnlyClusteringService

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `JMSTopicTransportManager`

public class JMSClusteringService
extends AbstractJNDIClusteringService

PURPOSE:To Provide a framework for offering customers the ability to automatically connect multiple sessions for synchrnization.

Descripton:This object will connect the TopLink Session to an existing JMS Topic from an existing JMS Connection Factory.

See Also:
  `CacheSynchronizationManager`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`JMSClusteringService(Session session)` Deprecated. PUBLIC: Creates a JMSClusteringService

Method Summary
`RemoteConnection` | `createRemoteConnection()` Deprecated. ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronization
`RemoteConnection` | `createRemoteConnection(java.lang.String sessionId, java.lang.String jndiHostURL)` Deprecated. ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronization Not Used
`void` | `deregisterDispatcher()` Deprecated. ADVANCED: This method will deregister the dispatcher for this session from JNDI on the specified host.
`java.net.MulticastSocket` | `getCommunicationSocket()` Deprecated. ADVANCED: Returns the socket that will be used for the multicast communication.
`java.lang.Object` | `getDispatcher()` Deprecated. ADVANCED: This is the object that will be placed in JNDI to provide remote synchronization services Not Used.
`RemoteConnection` | `getLocalRemoteConnection()` Deprecated. ADVANCED: This method should return a Remote Connection of the appropriate type that references the Remote dispatcher for this Session NOT USED
`java.lang.String` | `getTopicConnectionFactoryName()` Deprecated. PUBLIC: Use this method to get the Connection Factory Name for the JMS Topic connections
`java.lang.String` | `getTopicName()` Deprecated. PUBLIC: return the JMS Topic name for the Topic that this clustering service will be connecting to.
`void` | `registerDispatcher()` Deprecated. ADVANCED: This method will register the dispatcher for this session in JNDI on the specified host.
`void` | `run()` Deprecated. This is the main execution method of this class.
`void` | `setTopicConnectionFactoryName(java.lang.String connectionFactoryName)` Deprecated. PUBLIC: Use this method to set the Connection Factory Name for the JMS Topic connections
`void` | `setTopicName(java.lang.String topicName)` Deprecated. PUBLIC: sets the JMS Topic name for the Topic that this clustering service will be connecting to.
`void` | `stopListening()` Deprecated. ADVANCED: Uses to stop the Listener thread for a dropped session

Methods inherited from class oracle.toplink.remote.AbstractJNDIClusteringService
`getContext, getInitialContextProperties, getPassword, getUserName, setContext, setInitialContextFactoryName, setInitialContextProperties, setLocalHostURL, setPassword, setUserName`

Methods inherited from class oracle.toplink.remote.AbstractClusteringService
`getAnnouncementDelay, getApplicationName, getLocalHostURL, getMulticastGroupAddress, getMulticastPort, getSessionId, getTimeToLive, setAnnouncementDelay, setApplicationName, setDispatcher, setMulticastGroupAddress, setMulticastPort, setSessionId, setTimeToLive`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSClusteringService

    public JMSClusteringService(Session session)

  Deprecated.
  PUBLIC: Creates a JMSClusteringService

Method Detail

### createRemoteConnection

    public RemoteConnection createRemoteConnection()
                                            throws javax.jms.JMSException,
                                                   javax.naming.NamingException

  Deprecated.
  ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronization
  Throws:
    `javax.jms.JMSException`
    `javax.naming.NamingException`

### createRemoteConnection

    public RemoteConnection createRemoteConnection(java.lang.String sessionId,
                                                   java.lang.String jndiHostURL)

  Deprecated.
  ADVANCED: This method should return a remote connection of the appropraite type for use in the synchronization Not Used
  Specified by:
    `createRemoteConnection` in class `AbstractClusteringService`

### registerDispatcher

    public void registerDispatcher()

  Deprecated.
  ADVANCED: This method will register the dispatcher for this session in JNDI on the specified host. It must register the dispatcher under the SessionId
  Specified by:
    `registerDispatcher` in class `AbstractClusteringService`

### deregisterDispatcher

    public void deregisterDispatcher()

  Deprecated.
  ADVANCED: This method will deregister the dispatcher for this session from JNDI on the specified host. It must deregister the dispatcher under the SessionId
  Specified by:
    `deregisterDispatcher` in class `AbstractClusteringService`

### getCommunicationSocket

    public java.net.MulticastSocket getCommunicationSocket()

  Deprecated.
  ADVANCED: Returns the socket that will be used for the multicast communication. By default this will be java.net.MulticastSocket Not Used.
  Specified by:
    `getCommunicationSocket` in class `AbstractClusteringService`

### getDispatcher

    public java.lang.Object getDispatcher()
                                   throws java.rmi.RemoteException

  Deprecated.
  ADVANCED: This is the object that will be placed in JNDI to provide remote synchronization services Not Used.
  Specified by:
    `getDispatcher` in class `AbstractClusteringService`
  Throws:
    `java.rmi.RemoteException`

### getTopicConnectionFactoryName

    public java.lang.String getTopicConnectionFactoryName()

  Deprecated.
  PUBLIC: Use this method to get the Connection Factory Name for the JMS Topic connections

### getTopicName

    public java.lang.String getTopicName()

  Deprecated.
  PUBLIC: return the JMS Topic name for the Topic that this clustering service will be connecting to.

### run

    public void run()

  Deprecated.
  This is the main execution method of this class. It will create a socket to listen to and register the dispatcher for this class in JNDI
  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `AbstractClusteringService`

### getLocalRemoteConnection

    public RemoteConnection getLocalRemoteConnection()

  Deprecated.
  ADVANCED: This method should return a Remote Connection of the appropriate type that references the Remote dispatcher for this Session NOT USED
  Specified by:
    `getLocalRemoteConnection` in class `AbstractClusteringService`

### setTopicConnectionFactoryName

    public void setTopicConnectionFactoryName(java.lang.String connectionFactoryName)

  Deprecated.
  PUBLIC: Use this method to set the Connection Factory Name for the JMS Topic connections

### setTopicName

    public void setTopicName(java.lang.String topicName)

  Deprecated.
  PUBLIC: sets the JMS Topic name for the Topic that this clustering service will be connecting to. This is a required setting and must be set.

### stopListening

    public void stopListening()

  Deprecated.
  ADVANCED: Uses to stop the Listener thread for a dropped session
  Overrides:
    `stopListening` in class `AbstractClusteringService`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD